Download it now!
Bug 39366 - track changes: accepting more recorded changes in one step
Summary: track changes: accepting more recorded changes in one step
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2011-07-19 02:43 UTC by Orwel
Modified: 2017-04-20 14:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Orwel 2011-07-19 02:43:40 UTC
It would be great if LO could accept more recorded changes in one step by marking
(highlighting) a part of main text (including more recorded changes) and selecting the button (Edit-Changes-)Accept or reject recorded changes: all recorded changes in the highlighted selected text should be marked (by the blue line) in the Accept or Reject Changes - window.

Now if you highlight a part of a text containing more track-changes and open the Accept or Reject Changes - window, the next first track change (after the highlighted text) appears in in.
Comment 1 gleppert 2011-07-19 15:02:40 UTC
I second this idea. I also mark it as "enhancement" instead of "bug"
Comment 2 Björn Michaelsen 2011-12-23 12:27:25 UTC Comment hidden (obsolete)
Comment 3 gleppert 2012-04-08 10:49:17 UTC Comment hidden (obsolete)
Comment 4 YuriG 2013-10-22 12:25:39 UTC
(In reply to comment #3)
> This request for enhancement is still valid in LibreOffice 3.5.1

The same for LO 4.0.5.2.
Comment 5 Orwel 2017-04-19 12:55:59 UTC
In LO 5.2 the demanded behaviour is present, it is possible to mark and accept/reject more changes in one step.
Comment 6 Timur 2017-04-20 11:18:04 UTC
It would be WFM then, not Fixed as you closed. 

But, to mark changes in "Manage Changes" window always worked. If you mark there, changes in text are marked. So it's not clear why you would think this is solved? 

What I understood here is that you mark a part of main text (including more recorded changes) and all recorded changes in the highlighted selected text should be marked (by the blue line) in the "Manage Changes" window so that you can accept or reject them.
Comment 7 Orwel 2017-04-20 13:29:04 UTC
I am pretty sure that in 3.4 it was not possible to accept more changes at one step (or it was not simple as it is now), because I used to work with track changes for years and this lack of possibility was in 2011 very disturbing for me. It was probably possible to mark and accept them in the "Manage Changes" window, but it did not work by highlighting the main text and use the Accept change button...

So what I had asked for in this bug report was: Accepting change in two simple steps - 1. highlighting the main text and 2. accepting them by pressing the Accept change button.

The behaviour you are describing (highlight text - open "Manage Changes" window - automatically marking all the changes in the highlighted text by a blue line) could be added indeed (for example for the purpose, you want to accept changes on a huge text except one-two changes), but I personally do not need this behaviour. 

And I am not sure if this lack of behaviour should be classified as a bug or better as an enhancement. Maybe to close this bug (for reasons I described) and open a new one with a clear description should be a better way, if you feel that should remain as a bug? I do not know, I am just a user of LO.

So depends on you or others - for me, this "bug" I had reported in the past is not longer present and therefore I closed it.
Comment 8 Timur 2017-04-20 14:55:52 UTC
OK, I'll close this one as WFM. 
What I ask is partially in Bug 100924 so let's see there.